PCRE-CONFIG(1)

NAME
pcre-config - program to return PCRE configuration

SYNOPSIS

pcre-config [--prefix] [--exec-prefix] [--version] [--libs]
[--libs-posix] [--cflags] [--cflags-posix]

DESCRIPTION

pcre-config returns the configuration of the installed PCRE libraries and the options required to compile a program to use them.

OPTIONS

--prefix
    Writes the directory prefix used in the PCRE installation for architecture independent files (/usr on many systems, /usr/local on some systems) to the standard output.

--exec-prefix
    Writes the directory prefix used in the PCRE installation for architecture dependent files (normally the same as --prefix) to the standard output.

--version
    Writes the version number of the installed PCRE libraries to the standard output.

--libs
    Writes to the standard output the command line options required to link with PCRE (-lpcre on many systems).

--libs-posix
    Writes to the standard output the command line options required to link with the PCRE posix emulation library (-lpcreposix -lpcre on many systems).

--cflags
    Writes to the standard output the command line options required to compile files that use PCRE (this may include some -I options, but is blank on many systems).

--cflags-posix
    Writes to the standard output the command line options required to compile files that use the PCRE posix emulation library (this may include some -I options, but is blank on many systems).

SEE ALSO

pcre(3)

AUTHOR

This manual page was originally written by Mark Baker for the Debian GNU/Linux system. It has been slightly revised as a generic PCRE man page.

REVISION

Last updated: 18 April 2007